library ieee;
use ieee.std_logic_1164.all;

entity conta4 is
  port ( clk, rst: in std_logic;
         conto: out std_logic_vector(1 downto 0)
         );
end conta4;


architecture beh of conta4 is
  signal rconto : std_logic_vector(1 downto 0);

  begin
     conto <=rconto;
     
     
    -- registro + rete combinatoria
     rconto <= "00" after 1 ns when rst='1' else
              "01" after 1 ns when rconto="00" and clk='0' and clk'event else 
              "10" after 1 ns when rconto="01" and clk='0' and clk'event else
              "11" after 1 ns when rconto="10" and clk='0' and clk'event else  
              "00" after 1 ns when clk='0' and clk'event; 
    
end beh;                 
              