library ieee;
use ieee.std_logic_1164.all;

entity fsm is
  port( i, rst,clk : in std_logic;
        O : out std_logic_vector(0 to 1)
        );
        
end fsm;

architecture beh of fsm is
  signal stato:  std_logic_vector(1 downto 0);
  
begin
  
  process(clk)
    begin
      if clk='0' and clk'event then
          if rst='1' then stato <= "00" after 1 ns;
          else case stato is
                when "00"  =>   if i='0' then stato<="01" after 1 ns;
                                    else stato <="10" after 1 ns;
                              end if;
                when "01" =>  if i='0' then stato <= "00" after 1 ns;
                              else  stato <= "11" after 1 ns;
                          end if;
                when "10" =>   if i='1' then stato <= "11" after 1 ns;
                           end if;
                when others => stato <= "00" after 1 ns;
               end case;
          end if;
    end if;
 end process;
 
 
 process(stato)
   begin 
     
     case stato is
      when "01" => O <= "10" after 2 ns;
      when "10" => O <= "01" after 2 ns;
      when others => O<= "00" after 2 ns;
     end case ;
  end process;
end beh; 
   
             
            
             
    